Skip to main content
GET
Get deposit by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-user-id
string
required

The external user identifier of the acting customer.

Example:

"bank-user-12345"

Path Parameters

depositId
string
required

Unique identifier of the deposit

Example:

"dep_64f0c51e7fb3fc001234abcd"

Response

Deposit

id
string
required
Example:

"dep_64f0c51e7fb3fc001234abcd"

ownerId
string
required
Example:

"bank-user-12345"

bankAccountId
string
required
Example:

"ba_64f0c51e7fb3fc001234abcd"

amount
number
required

Deposit amount as a number

Required range: x >= 0.01
Example:

100

currency
enum<string>
required

ISO 4217 currency code

Available options:
GBP,
EUR,
USD
Example:

"EUR"

status
enum<string>
required

Status of the deposit

Available options:
pending,
completed,
failed
Example:

"pending"

consideration
object

Deposit consideration with currency and amount

reference
string
Example:

"Top-up for trading"

createdAt
string<date-time>